Subject: [IPFIX] [Editorial Errata Reported] RFC7012 (6564)

From: RFC Errata System <[email-masked]>
Date: Wed, 28 Apr 2021 13:16:09 -0700 (PDT)

The following errata report has been submitted for RFC7012,
"Information Model for IP Flow Information Export (IPFIX)".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6564

--------------------------------------
Type: Editorial
Reported by: Paul Aitken <[email-masked]>

Section: 7.2

Original Text
-------------
   The specification
   of new MPLS label types MUST be published using a well-established
   and persistent publication medium.

Corrected Text
--------------
(Deleted)

Notes
-----
This paragraph envisaged that a new RFC be written to specify new label types in the mplsTopLabelType sub-registry.

Since the publication of RFC7012, IANA has added 16 other IPFIX IE sub-registries, none of which have the same requirement. See https://www.iana.org/assignments/ipfix/ipfix.xhtml

Publication in IANA's IPFIX registry should provide a clear and persistent definition. New IPFIX MPLS label type specifications should not be singled out to require persistent publication of an additional document.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC7012 (draft-ietf-ipfix-information-model-rfc5102bis-10)
--------------------------------------
Title               : Information Model for IP Flow Information Export (IPFIX)
Publication Date    : September 2013
Author(s)           : B. Claise, Ed., B. Trammell, Ed.
Category            : PROPOSED STANDARD
Source              : IP Flow Information Export
Area                : Operations and Management
Stream              : IETF
Verifying Party     : IESG

---

From: Benoit Claise <[email-masked]>
Date: Thu, 29 Apr 2021 09:23:10 +0200

Hi Paul,

IIRC, when we wrote:
    "The specification of new MPLS label types MUST be published using a 
well-established and persistent publication medium."
... we carefully crafted this sentence not to mention "publication 
requested" as RFC, with in idea in mind that an IANA registry would fall 
under the "well-established  and persistent publication medium" category.

Regards, Benoit
> ------------------------------------------------------------------------
> *De :* IPFIX <[email-masked]> de la part de RFC Errata System 
> <[email-masked]>
> *Envoyé :* mercredi 28 avril 2021 22:16:09
> *À :* [email-masked]; [email-masked]; [email-masked]; 
> [email-masked]; [email-masked]; [email-masked]
> *Cc :* [email-masked]; [email-masked]
> *Objet :* [IPFIX] [Editorial Errata Reported] RFC7012 (6564)
> <https://www.rfc-editor.org/errata/eid6564>
>
> This paragraph envisaged that a new RFC be written to specify new 
> label types in the mplsTopLabelType sub-registry.
>
> Since the publication of RFC7012, IANA has added 16 other IPFIX IE 
> sub-registries, none of which have the same requirement. See 
> https://www.iana.org/assignments/ipfix/ipfix.xhtml 
> <https://www.iana.org/assignments/ipfix/ipfix.xhtml>
>
> Publication in IANA's IPFIX registry should provide a clear and 
> persistent definition. New IPFIX MPLS label type specifications should 
> not be singled out to require persistent publication of an additional 
> document.
>
> Instructions:
> -------------
> _______________________________________________
> IPFIX mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ipfix 
> <https://www.ietf.org/mailman/listinfo/ipfix>

---

From: "Aitken, Paul" <[email-masked]>
Date: Thu, 29 Apr 2021 08:59:06 +0000

Thanks Benoit.

This seems strange, because an approved request would result in an update to the IANA registry anyway.

This line seems to be imposing the "Specification Required" policy per section 4.6 of RFC 8126.

This is inconsistent with the other IPFIX sub registries, which do not specify this requirement.

IANA asked IE-doctors:
1) Should we add a note to the top of the IPFIX MPLS label type (Value 46) registry that says, "The specification of new MPLS label types MUST be published using a well-established and persistent publication medium," which is a quote from Section 7.2 of RFC 7012?

2) Should there be an errata report that would change the registration procedure for this registry to Specification Required, as described in Section 4.6 of RFC 8126?

I believe that a single registration policy should be applied consistently to all the IPFIX sub-registries. RFCs 7012 and 7013 both mention "Expert Review" in several places. However neither of them mentions "Specification Required", nor repeats the "MUST be published using a well-established and persistent publication medium." requirement for any other IE.

Therefore I propose that the requirement be removed from the MPLS label types sub-registry.

P.

On 29/04/2021 08:23, Benoit Claise wrote:
Hi Paul,

IIRC, when we wrote:
   "The specification of new MPLS label types MUST be published using a well-established and persistent publication medium."
... we carefully crafted this sentence not to mention "publication requested" as RFC, with in idea in mind that an IANA registry would fall under the "well-established  and persistent publication medium" category.

Regards, Benoit
________________________________
De : IPFIX <[email-masked]><mailto:[email-masked]> de la part de RFC Errata System <[email-masked]><mailto:[email-masked]>
Envoyé : mercredi 28 avril 2021 22:16:09
À : [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Cc : [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Objet : [IPFIX] [Editorial Errata Reported] RFC7012 (6564)

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6564<https://urldefense.com/v3/__https://www.rfc-editor.org/errata/eid6564__;!!BhdT!zCko7jEO5SyXRUEvtrBEOI6gAx4qax1jFUKesfcnL-TzQW9Y4CgLonFF_tdEK3E$>

--------------------------------------
Type: Editorial
Reported by: Paul Aitken <[email-masked]><mailto:[email-masked]>

Section: 7.2

Original Text
-------------
   The specification

Corrected Text
--------------
(Deleted)

Notes
-----

Since the publication of RFC7012, IANA has added 16 other IPFIX IE sub-registries, none of which have the same requirement. See https://www.iana.org/assignments/ipfix/ipfix.xhtml<https://urldefense.com/v3/__https://www.iana.org/assignments/ipfix/ipfix.xhtml__;!!BhdT!zCko7jEO5SyXRUEvtrBEOI6gAx4qax1jFUKesfcnL-TzQW9Y4CgLonFF2WgH9yo$>

Instructions:
-------------

_______________________________________________
IPFIX mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/ipfix<https://urldefense.com/v3/__https://www.ietf.org/mailman/listinfo/ipfix__;!!BhdT!zCko7jEO5SyXRUEvtrBEOI6gAx4qax1jFUKesfcnL-TzQW9Y4CgLonFFmNspjZQ$>

_______________________________________________
IPFIX mailing list
[email-masked]<mailto:[email-masked]>
https://urldefense.com/v3/__https://www.ietf.org/mailman/listinfo/ipfix__;!!BhdT!zCko7jEO5SyXRUEvtrBEOI6gAx4qax1jFUKesfcnL-TzQW9Y4CgLonFFmNspjZQ$

---

From: Benoit Claise <[email-masked]>
Date: Fri, 30 Apr 2021 10:06:12 +0200

Hi Paul,

> This line seems to be imposing the "Specification Required" policy per 
This is not my conclusion and this was certainly not the intention, as I 
mentioned below.
> specify this requirement.
Fair point (*)
Some sub registries were created after RFC5102/7012. Hence not 
documented in 7012
>
> IANA asked IE-doctors:
>
>     1) Should we add a note to the top of the IPFIX MPLS label type
>     (Value 46) registry that says, "The specification of new MPLS
>     label types MUST be published using a well-established and
>     persistent publication medium," which is a quote from Section 7.2
>     of RFC 7012?
>
I don't think this is necessary, as the "well-established and persistent 
publication medium" is the IANA registry you look at.
>
>
>     2) Should there be an errata report that would change the
>     registration procedure for this registry to Specification
>     Required, as described in Section 4.6 of RFC 8126?
>
This one would be a mistake and would clearly change RFC7012.
>
>
> I believe that a single registration policy should be applied 
> consistently to all the IPFIX sub-registries. RFCs 7012 and 7013 both 
> mention "Expert Review" in several places. However neither of them 
> mentions "Specification Required", nor repeats the "MUST be published 
> using a well-established and persistent publication medium." 
> requirement for any other IE.
>
In practice, I don't believe we have a  problem here: the IANA process, 
in connection with the IE doctors review, works fine.
I mean, everybody could just set up a new IPFIX subregistry with expert 
review, which is the right procedure. 
Ex:https://www.iana.org/assignments/ipfix/ipfix.xhtml#ipfix-firewall-event
The process behind it is: 7012, section 7.4

    Future assignments added to the "IPFIX Information Elements" registry
    that require subregistries for enumerated values (e.g.,Section 7.2  <https://tools.ietf.org/html/rfc7012#section-7.2>)
    must have those subregistries added simultaneously with the new
    assignment; additions to these subregistries must be subject to
    Expert Review [RFC5226  <https://tools.ietf.org/html/rfc5226>].

This rule above also takes care of the "MPLS Label Type Identifier". So 
maybe it was not necessary to specifically mention section 7.2 "MPLS 
Label Type Identifier" in 7012. Historical reasons coming from RFC5102 I 
guess...

(*) coming back to "This is inconsistent with the other IPFIX sub 
registries, which do not specify this requirement.", I don't believe 
it's true in practice based on the previous text.

Note: The fact that most of the IPFIX subregistries have a supporting 
RFC is a plus for documentation purposes, but is not necessary.

In conclusion, we can go whatever way with that errata (accept it, 
decline it, or even remove the entire section 7.2) as I don't believe we 
have the problem in practice.
So maybe the way out of this is:
     change the errata to "remove section 7.2",
     AD change this errata to "Held for Document Update" 
(https://www.rfc-editor.org/errata-definitions/) in case we ever update 
RFC 7012*
*
Regards, Benoit
>>    "The specification of new MPLS label types MUST be published using 
>> a well-established and persistent publication medium."
>> requested" as RFC, with in idea in mind that an IANA registry would 
>> fall under the "well-established and persistent publication medium" 
>> category.
>>
>> Regards, Benoit
>>> *De :* IPFIX <[email-masked]> de la part de RFC Errata 
>>> System <[email-masked]>
>>> <https://urldefense.com/v3/__https://www.rfc-editor.org/errata/eid6564__;!!BhdT!zCko7jEO5SyXRUEvtrBEOI6gAx4qax1jFUKesfcnL-TzQW9Y4CgLonFF_tdEK3E$>
>>>
>>> <https://urldefense.com/v3/__https://www.iana.org/assignments/ipfix/ipfix.xhtml__;!!BhdT!zCko7jEO5SyXRUEvtrBEOI6gAx4qax1jFUKesfcnL-TzQW9Y4CgLonFF2WgH9yo$>
>>>
>>> persistent definition. New IPFIX MPLS label type specifications 
>>> should not be singled out to require persistent publication of an 
>>> additional document.
>>>
>>> Instructions:
>>> -------------
>>> <https://urldefense.com/v3/__https://www.ietf.org/mailman/listinfo/ipfix__;!!BhdT!zCko7jEO5SyXRUEvtrBEOI6gAx4qax1jFUKesfcnL-TzQW9Y4CgLonFFmNspjZQ$>
>>
>>